Sample file not whitelisted

I am following the steps on this page:

When attempting to load the sample data:

I receive the error that the file or directory post is not whitelisted:

Ideas? Thanks!

Hi Boomer!

Welcome to the community!

You seemed to have a found an issue with our insert_sample_data script. With our increased focus on data security, we require users to whitelist directories that are not within the default import path. Unfortunately, our insert_sample_data script does not download the sample datasets into this location. I have filed an bug report for this issue.

To work around the issue, here are the commands to whitelist the directory:
Edit: /var/lib/omnisci/omnisci.conf
Add this line in the top section above [web]. This needs to be a single line:
allowed-import-paths = ["/opt/omnisci/data/mapd_import"]
Save the file and restart the server with
sudo systemctl stop omnisci_server
sudo systemctl start omnisci_server

You can then rerun the script and continue with the documentation.

Let us know how it goes.

Thanks Pey - that did the trick!

I have the same problem, I have already added the paths as below:

omnisci.conf

null-div-by-zero = something
allowed-import-paths = [ “/data”, “/data/kang/xiaokang/geo_output”]
[web]

See the error blew,
Traceback (most recent call last):
File “/data/kang/mambaforge/envs/omnisci-gpu/lib/python3.7/site-packages/pymapd/cursor.py”, line 118, in execute
at_most_n=-1,
File “/data/kang/mambaforge/envs/omnisci-gpu/lib/python3.7/site-packages/omnisci/thrift/OmniSci.py”, line 1755, in sql_execute
return self.recv_sql_execute()
File “/data/kang/mambaforge/envs/omnisci-gpu/lib/python3.7/site-packages/omnisci/thrift/OmniSci.py”, line 1784, in recv_sql_execute
raise result.e
omnisci.thrift.ttypes.TOmniSciException: TOmniSciException(error_msg=‘File or directory path “/data/kang/xiaokang/geo_output” is not whitelisted.’)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “src/main_geography_imputer_xk.py”, line 74, in
file, os.path.join(args.output_path, “geography_{}”.format(file.replace(’.gz’, ‘’)))
File “/data/kang/mambaforge/envs/omnisci-gpu/lib/python3.7/site-packages/pymapd/connection.py”, line 390, in execute
return c.execute(operation, parameters=parameters)
File “/data/kang/mambaforge/envs/omnisci-gpu/lib/python3.7/site-packages/pymapd/cursor.py”, line 121, in execute
raise _translate_exception(e) from e
pymapd.exceptions.Error: File or directory path “/data/kang/xiaokang/geo_output” is not whitelisted.

Hi,

if you already added those paths in the omnisci.conf file it should work.

anyway, if security isn’t a concern, try to add those

allowed-import-paths=["/"]
allowed-export-paths=["/"]

and be sure to restart the server